Make the escape key be a synonym for control-c,
because it *is* now 2008 and human interface guides have changed.
( 8-Aug-08, johnh)

--- alarm.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ alarm.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -245,6 +245,7 @@
     # were automatically giving the focus to the alarm, and the next
     # return would dismiss it.)
     bind .$self <Control-c> [list AN_check_kill $self]
+    bind .$self <Escape> [list AN_check_kill $self]
     # bind .$self <Return> [list AN_check_kill $self]
 
     # Triggers
--- dg_alarms.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ dg_alarms.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -72,6 +72,7 @@
     pack $f.bot -side bottom -expand 1 -fill both
 
     bind $f <Control-c> {set as_done 0}
+    bind $f <Escape> {set as_done 0}
     bind $f <Return> {set as_done 1}
 
     wm withdraw $f
--- dg_item.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ dg_item.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -136,6 +136,7 @@
     pack $f.todo -in $f.f2.c1 -side top -fill both
 
     bind $f <Control-c> {set iedit(done) 0}
+    bind $f <Escape> {set iedit(done) 0}
     bind $f <Return>    {set iedit(done) 1}
 
     wm withdraw $f
--- dg_monthr.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ dg_monthr.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -106,6 +106,7 @@
     pack $f.right -side left -expand 1 -fill both
 
     bind $f <Control-c> {global mr_state; set mr_state(done) 0}
+    bind $f <Escape> {global mr_state; set mr_state(done) 0}
     bind $f <Return>    {global mr_state; set mr_state(done) 1}
 
     wm withdraw $f
--- dg_print.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ dg_print.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -174,6 +174,7 @@
     pr_update_entries
 
     bind $f <Control-c> {set pr_done 0}
+    bind $f <Escape> {set pr_done 0}
     bind $f <Return>    {set pr_done 1}
 
     wm withdraw $f
--- dg_range.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ dg_range.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -71,6 +71,7 @@
     pack $f.bot -side bottom -fill x
 
     bind $f <Control-c> {global dr_state; set dr_state(done) 0}
+    bind $f <Escape> {global dr_state; set dr_state(done) 0}
     bind $f <Return>    {global dr_state; set dr_state(done) 1}
 
     wm withdraw $f
--- dg_wdays.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ dg_wdays.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -108,6 +108,7 @@
     pack $f.left -side left -expand 1 -fill both
 
     bind $f <Control-c> {global ws_state; set ws_state(done) 0}
+    bind $f <Escape> {global ws_state; set ws_state(done) 0}
     bind $f <Return>    {global ws_state; set ws_state(done) 1}
 
     wm withdraw $f
--- help.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ help.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -17,6 +17,7 @@
     focus .$self
     bind .$self <Tab>	    {break}
     bind .$self <Control-c> [list class_kill $self]
+    bind .$self <Escape> [list class_kill $self]
     bind .$self <space>	    [list tkTextScrollPages $t 1]
     bind .$self <Control-f> [list tkTextScrollPages $t 1]
     bind .$self <Control-v> [list tkTextScrollPages $t 1]
@@ -164,6 +165,7 @@
 	wm title $t {About Ical}
 	wm protocol $t WM_DELETE_WINDOW {set about(done) 1}
 	bind $t	<Control-c> {set about(done) 1}
+	bind $t	<Escape> {set about(done) 1}
 	bind $t	<Return>    {set about(done) 1}
 
 	wm withdraw $t
--- itemlist.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ itemlist.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -44,6 +44,7 @@
 
     # Key bindings
     bind .$self <Control-c> [list class_kill $self]
+    bind .$self <Escape> [list class_kill $self]
     bind .$self <Return> [list class_kill $self]
     bind .$self.display <Double-1> [list $self null]
     bind .$self.display <Triple-1> [list $self null]
--- timerange.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ timerange.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -60,6 +60,7 @@
     pack $w.bot -side top -fill x
 
     bind $w <Control-c> {set tr_done 0}
+    bind $w <Escape> {set tr_done 0}
     bind $w <Return>    {set tr_done 1}
     
     time_range_edit $w 0 24
--- tcllib/dg_error.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ tcllib/dg_error.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -47,6 +47,7 @@
     pack $f.bot -side bottom -fill both
 
     bind $f <Control-c> {set error_done 1}
+    bind $f <Escape> {set error_done 1}
     bind $f <Return>    {set error_done 1}
 
     wm withdraw $f
--- tcllib/dg_file.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ tcllib/dg_file.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -52,6 +52,7 @@
     pack $f.bot -side top -expand 1 -fill both
 
     bind $f <Control-c> {set file_done 0}
+    bind $f <Escape> {set file_done 0}
     bind $f <Return> {set file_done 1}
     bind $f.box.children <Double-Button-1> {file_done_check}
 
--- tcllib/dg_num.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ tcllib/dg_num.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -54,6 +54,7 @@
     pack $f.bot -side bottom -fill both
 
     bind $f <Control-c> {set num_done 0}
+    bind $f <Escape> {set num_done 0}
     bind $f <Return>    {set num_done 1}
 
     wm withdraw $f
--- tcllib/dg_string.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ tcllib/dg_string.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -55,6 +55,7 @@
     pack $f.bot -side bottom -fill x
 
     bind $f <Control-c> {set str_done 0}
+    bind $f <Escape> {set str_done 0}
     bind $f <Return> {set str_done 1}
 
     wm deiconify $f
--- tcllib/dg_ync.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ tcllib/dg_ync.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -43,6 +43,7 @@
     bind $f <Return>	{set ync_done yes}
     bind $f <n>		{set ync_done no}
     bind $f <Control-c> {set ync_done cancel}
+    bind $f <Escape> {set ync_done cancel}
 
     wm withdraw $f
     update
--- tcllib/dg_yn.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ tcllib/dg_yn.tcl	2008-08-08 11:31:35.000000000 -0700
@@ -39,6 +39,7 @@
     pack $f.bot -side bottom -fill both
 
     bind $f <Control-c> {set yn_done 0}
+    bind $f <Escape> {set yn_done 0}
     bind $f <Return> {set yn_done 1}
 
     wm withdraw $f
--- tcllib/textwin.tcl-	2008-08-08 11:30:12.000000000 -0700
+++ tcllib/textwin.tcl	2008-08-08 11:31:34.000000000 -0700
@@ -45,6 +45,7 @@
 
     bind $f <Tab>		{break}
     bind $f <Control-c>		{destroy %W}
+    bind $f <Escape>		{destroy %W}
     bind $f <space>		{tkTextScrollPages %W.text 1}
     bind $f <Control-f>		{tkTextScrollPages %W.text 1}
     bind $f <Control-v>		{tkTextScrollPages %W.text 1}
